# Uses of Class
com.sparshui.server.TouchPoint

Packages that use TouchPoint
Package
Description
com.sparshui.common.messages.events
com.sparshui.gestures
com.sparshui.server
org.jmol.multitouch.sparshui

## Uses of TouchPoint in com.sparshui.common.messages.events

Constructors in com.sparshui.common.messages.events with parameters of type TouchPoint
Modifier
Constructor
Description
``
`TouchEvent(TouchPoint tp)`

## Uses of TouchPoint in com.sparshui.gestures

Methods in com.sparshui.gestures with parameters of type TouchPoint
Modifier and Type
Method
Description
`List<Event>`
Gesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
Process a touch point change in the gesture.
Method parameters in com.sparshui.gestures with type arguments of type TouchPoint
Modifier and Type
Method
Description
`List<Event>`
Gesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
Process a touch point change in the gesture.

## Uses of TouchPoint in com.sparshui.server

Methods in com.sparshui.server with parameters of type TouchPoint
Modifier and Type
Method
Description
`int`
ServerToClientProtocol.`getGroupID(TouchPoint touchPoint)`
Retrieve a list of allowed gestures for the provided group id.
`boolean`
TouchPoint.`isNear(TouchPoint tp)`
`void`
Group.`update(TouchPoint changedPoint)`
Update the given touch point that belongs to this group.
Constructors in com.sparshui.server with parameters of type TouchPoint
Modifier
Constructor
Description
``
`TouchPoint(TouchPoint tp)`
Copy constructor

## Uses of TouchPoint in org.jmol.multitouch.sparshui

Methods in org.jmol.multitouch.sparshui with parameters of type TouchPoint
Modifier and Type
Method
Description
`protected List<Event>`
TwoPointGesture.`processBirth(TouchPoint touchPoint)`
`List<Event>`
SinglePointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
incorporates double-click gesture
`List<Event>`
TwoPointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedPoint)`
`protected List<Event>`
TwoPointGesture.`processDeath(TouchPoint touchPoint)`
`protected List<Event>`
TwoPointGesture.`processMove(TouchPoint touchPoint)`
Method parameters in org.jmol.multitouch.sparshui with type arguments of type TouchPoint
Modifier and Type
Method
Description
`List<Event>`
SinglePointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedTouchPoint)`
incorporates double-click gesture
`List<Event>`
TwoPointGesture.`processChange(List<TouchPoint> touchPoints, TouchPoint changedPoint)`